## suitename 0.3.070628

=== Makefile ===
# suitename

ifeq ($(MAKECMDGOALS),debug)
	CFLAGS = -g -isysroot /Developer/SDKs/MacOSX10.4u.sdk -arch i386 -arch ppc
else
	CFLAGS = -isysroot /Developer/SDKs/MacOSX10.4u.sdk -arch i386 -arch ppc
endif

LIBS = -lm -Wl,-syslibroot,/Developer/SDKs/MacOSX10.4u.sdk -arch i386 -arch ppc

# ---------------------------------------------------------------------
PROG_FLGS   =  
OBJS = suitename.o suitenscrt.o suiteninit.o suiteninpt.o \
       suitenout.o suitenutil.o

# ---------------------------------------------------------------------
HEADERS = suitename.h suitenscrt.h suitenutil.h suiteninit.h suiteninpt.h \
          suitenout.h

suitename: $(OBJS)
	cc -o suitename $(CFLAGS) $(OBJS) $(LIBS)

debug:     $(OBJS)
	cc -o suitename $(CFLAGS) $(OBJS) $(LIBS)

clean:
	rm -f *.o
# ------------------------------------------------------------------------
# Dependencies  (presume .o<-.c by standard cc compiler)

suitename.o:  $(HEADERS)
suiteninit.o: $(HEADERS)
suitenscrt.o: $(HEADERS)
suiteninpt.o: $(HEADERS)
suitenout.o:  $(HEADERS)
suitenutil.o: $(HEADERS)

=== debian/changelog ===
suitename (0.3.070628-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:46:03 +0000

suitename (0.3.070628-1) unstable; urgency=low

  * Initial release (Closes: #793192)

 -- Andreas Tille <tille@debian.org>  Wed, 22 Jul 2015 09:44:21 +0200

=== debian/control ===
Source: suitename
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Michael Prisant <michael.prisant@gmail.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/suitename.git
Vcs-Git: git://anonscm.debian.org/debian-med/suitename.git
Homepage: http://kinemage.biochem.duke.edu/software/suitename.php

Package: suitename
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: categorize each suite in an RNA backbone
 Suitename is a program that supports the ROC RNA Ontology Consortium
 consensus RNA backbone nomenclature and conformer-list development.
 .
 From dihedral-angle input for a specific RNA structure (usually from
 Dangle), Suitename categorizes the RNA backbone geometry of each suite
 (the sugar-to-sugar version of a residue) either as an outlier or
 as belonging to one of the 53 defined conformer bins. The output is
 either a one-line-per-suite report, or a linear conformer string (as
 shown below the image here) in one of several variant formats. Suitename
 is built into MolProbity, producing entries in the multi-criterion chart
 for an RNA model and also a suitestring file.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# some helpful variables - uncomment them if needed
# shamelessly stolen from http://jmtd.net/log/awk/
#DEBVERS        := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
#VERSION        := $(shell echo '$(DEBVERS)' | sed -e 's/^[0-9]*://' -e 's/-.*//')
#DEBFLAVOR      := $(shell dpkg-parsechangelog | awk '/^Distribution:/ {print $$2}')
#DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
#DEBIAN_BRANCH  := $(shell awk 'BEGIN{FS="[= ]+"} /debian-branch/ {print $$2}' debian/gbp.conf)
#GIT_TAG        := $(subst ~,_,$(VERSION))

# alternatively to manually set those variables you can
#  include /usr/share/cdbs/1/rules/buildvars.mk
# and use what is set there.  Any hint whether dh might set variables in
# a similar manner are welcome.

%:
	dh $@

override_dh_auto_build:
	dh_auto_build --buildsystem=makefile -- -f Makefile.linux suitename

## suitename 0.3.070919+git20180613.ebb1325

=== debian/changelog ===
suitename (0.3.070919+git20180613.ebb1325-2) unstable; urgency=medium

  * Team Upload.
  * Make build cross-buildable (Closes: #973978)

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 11 Nov 2020 13:23:20 +0530

suitename (0.3.070919+git20180613.ebb1325-1) unstable; urgency=medium

  * Use git mode in watch file to get latest code
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Fri, 06 Nov 2020 14:41:47 +0100

suitename (0.3.070628-2) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Tue, 03 Jul 2018 22:05:58 +0200

=== debian/control ===
Source: suitename
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Michael Prisant <michael.prisant@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/suitename
Vcs-Git: https://salsa.debian.org/med-team/suitename.git
Homepage: http://kinemage.biochem.duke.edu/software/suitename.php
Rules-Requires-Root: no

Package: suitename
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: categorize each suite in an RNA backbone
 Suitename is a program that supports the ROC RNA Ontology Consortium
 consensus RNA backbone nomenclature and conformer-list development.
 .
 From dihedral-angle input for a specific RNA structure (usually from
 Dangle), Suitename categorizes the RNA backbone geometry of each suite
 (the sugar-to-sugar version of a residue) either as an outlier or
 as belonging to one of the 53 defined conformer bins. The output is
 either a one-line-per-suite report, or a linear conformer string (as
 shown below the image here) in one of several variant formats. Suitename
 is built into MolProbity, producing entries in the multi-criterion chart
 for an RNA model and also a suitestring file.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build --buildsystem=makefile -- -f Makefile.linux MAKECMDGOALS=debug suitename

=== debian/watch ===
version=4

opts="mode=git,pretty=0.3.070919+git%cd.%h" \
    https://github.com/rlabduke/suitename.git HEAD

# http://kinemage.biochem.duke.edu/software/suitename.php .*/downloads/software/suitename/suitename.([\d.]+)\.src\.tgz

# if there would be release tags ...
# https://github.com/rlabduke/suitename/releases .*/archive/#PREFIX#(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## suitename 0.4.130509%2Bgit20210223.ebb1325

=== debian/changelog ===
suitename (0.4.130509+git20210223.ebb1325-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 02 Dec 2025 22:51:45 +0100

suitename (0.4.130509+git20210223.ebb1325-1) unstable; urgency=medium

  * Code says its version 0.4.130509
  * Add README.Debian to explain status of this code
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 28 Jan 2022 17:21:24 +0100

## suitename 0.4.130509+git20210223.ebb1325

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.0)
project(suitename)

if (WIN32)
  add_definitions(-D_CRT_SECURE_NO_WARNINGS)
endif ()

set(suitename_SOURCES
	suitename.c
	suiteninit.c
	suitenscrt.c
	suiteninpt.c
	suitenout.c
	suitenutil.c
)

set(suitename_HEADERS
	suitename.h
	suiteninit.h
	suitenscrt.h
	suiteninpt.h
	suitenout.h
	suitenutil.h
)

add_executable(suitename ${suitename_SOURCES} ${suitename_HEADERS})
if (NOT WIN32)
  target_link_libraries(suitename m)
endif()

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/suitename
 Vcs-Git: https://salsa.debian.org/med-team/suitename.git
 Homepage: http://kinemage.biochem.duke.edu/software/suitename.php

=== debian/watch ===
version=4
opts=dversionmangle=s/.*/0.No-Release/ \
  https://people.debian.org/~eriberto/ FakeWatchNoUpstreamReleaseForThisPackage-(\d\S+)\.gz

# Last version in C - see README.Debian
#opts="mode=git,pretty=0.4.130509+git%cd.e37b832" \
#    https://github.com/rlabduke/suitename.git e37b832

#    https://github.com/rlabduke/suitename.git HEAD ### HEAD is now Python code (see README.Debian
